x

Search in
Sort by:

Question Status:

Search help

  • Simple searches use one or more words. Separate the words with spaces (cat dog) to search cat,dog or both. Separate the words with plus signs (cat +dog) to search for items that may contain cat but must contain dog.
  • You can further refine your search on the search results page, where you can search by keywords, author, topic. These can be combined with each other. Examples
    • cat dog --matches anything with cat,dog or both
    • cat +dog --searches for cat +dog where dog is a mandatory term
    • cat -dog -- searches for cat excluding any result containing dog
    • [cats] —will restrict your search to results with topic named "cats"
    • [cats] [dogs] —will restrict your search to results with both topics, "cats", and "dogs"

Packaging / ANDROID failed.

Hello everyone. Failed to find an answer. I'm searching and trying to figure it out for two days now. I'm developing an android game. I use UE 4.14.3 with UniversalMobileAds plugin installed as described in instruction file. The problem is, that for some reason it is unable to package project to application. I can't remember when the problem started. Problematic parts are AutomationTool and UnrealBuildTool.

I suppose it has something to do with that plugin, or with packaging settings. Project is located on C:/Users/.../Documents/MyProject/ I have installed all APIs 15 - 24 from Android SDK Manager, still reporting errors. So, here are images of packaging settings. Thanks for any help!

Here is the log file Here are Packaging and Project settings

Product Version: UE 4.14
Tags:
more ▼

asked Feb 15 '17 at 03:13 PM in Packaging & Deployment

avatar image

Brochestreammus
31 1 3 4

avatar image Samantha Sutton ♦♦ STAFF Feb 15 '17 at 04:48 PM

Brochestreammus,

Please change your Android SDK settings. Here is an example:

Android SDK

avatar image Brochestreammus Feb 15 '17 at 11:13 PM

Unfortunately, the problem still persists. Same errors.

avatar image Sanctoris Games Feb 16 '17 at 12:28 AM

Hello Brochestreammus , you probably made a small mistake in the configuration of the project. Check with the documentation presented below. https://docs.unrealengine.com/latest/INT/Platforms/Android/GettingStarted/ I hope this helps.

avatar image Brochestreammus Feb 16 '17 at 12:33 PM

Hmm.. I tried to: A) Make new project with assets migration from the old project. - Same error B) Reinstall UE, plugin, create new project - Same error C) Reinstall SDK Android with UE, plugin, create new project with migration of some data. - Problem persists.

avatar image Sanctoris Games Feb 16 '17 at 02:59 PM

Do not forget that UE is not backward compatible versions. Try to compile this basic project just change the path to your SDK alt text. https://1drv.ms/f/s!AloipsCPhPwoi1b9nV6GnOKZV95r

снимок.png (30.6 kB)
avatar image Brochestreammus Feb 16 '17 at 03:58 PM

Tried to migrate all assets, blueprints, maps from my project to your 'testproject' but still persists. I checked all paths to everything important, if they are correct, without spaces. I also tried to set SDK API and NDK API to be the same, but it failed. Checked paths to sdk also.. They are correct.

avatar image Sanctoris Games Feb 16 '17 at 04:44 PM

Try to pick up my project without migration assets list, purely to check whether the assembly works (Try Android - ETC1). Your Asset-configured for mobile development or computer?

avatar image Samantha Sutton ♦♦ STAFF Feb 16 '17 at 06:00 PM

Have you taken a look at this forum post?

avatar image Brochestreammus Feb 17 '17 at 09:32 AM

Okay. I have downloaded newer version of NDK - 13b, problem persists.
My assets are configured to mobile development. Ihave already successfully packaged app a week ago. But as I described in the description of this Question, I can't remember the breaking-point.

@Samantha I read that forum post, but unfortunately it didn't help.

avatar image Sanctoris Games Feb 17 '17 at 05:46 PM

Finally it turned out to achieve the same mistakes as youalt text Pay attention to the assembly configuration for the processors for a minimum level of 64х API 21, I found API16 and received an identical error.alt text I looked your logs and drew attention to the fact that you have downloaded plug-ins for working with virtual reality, if so, look minimal setup SDK (Daydream for Android API 24, cardboard API 16 )

снимок2.png (212.3 kB)
снимок4.png (115.4 kB)
avatar image Brochestreammus Feb 17 '17 at 08:47 PM

I'm totally desperate. Nothing helps. I am not using VR features in my project. I'm currently trying to throw everything in the test app you sent earlier. Changing those settings won't help.

avatar image Sanctoris Games Feb 17 '17 at 09:35 PM

How about to use "TeamViewer"? I still suspect that the problem is in setting up the project.

avatar image Brochestreammus Feb 17 '17 at 09:41 PM

Thanks, you can email me at martin.kolcun@gmail.com.

avatar image Samantha Sutton ♦♦ STAFF Feb 21 '17 at 09:52 PM

Did you get this resolved?

(comments are locked)
10|2000 characters needed characters left
Viewable by all users

1 answer: sort voted first

Problem was solved, but not repaired. Guy from @Sanctoris Games helped me via TeamViewer. Just created new empty project -> copy/paste content. Project was able to package, but the code was broken. It took me another two days to clean it up. So if anyone asks, I don't have an answer for this case.

more ▼

answered Feb 21 '17 at 09:58 PM

avatar image

Brochestreammus
31 1 3 4

(comments are locked)
10|2000 characters needed characters left
Viewable by all users
Your answer
toggle preview:

Up to 5 attachments (including images) can be used with a maximum of 5.2 MB each and 5.2 MB total.

Follow this question

Once you sign in you will be able to subscribe for any updates here

Answers to this question